Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Christer Weinigel <[email-masked]>
Date: Thu, 12 Mar 2009 19:48:39 +0100

Jamie Lokier wrote:
> However there was some attempt to get a reference initrd build into
> the kernel.  Did that go anywhere?  It would actually be good to use
> that if it exists.

That would be a very worthwhile project actually.  Create a package that 
uses klibc, does BOOTP/DCHP/NFS and parses the the ip=foo,bar options 
the same way the kernel does so that we can finally get rid of the in 
kernel stuff.  That, the code that reads an initrd from a floppy disk 
(nobody can really be using that code anymore, can they?), and the md 
setup are probably the last obstacles to doing a nice little cleanup of 
the mount_root code in the kernel.

I just wish I had more time.

   /Christer